AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Fawry Pay

Receive Fawry payments from customers in Egypt. Read the overview for this payment method before proceeding.

Last updated 13 September 2026

Receive Fawry payments from customers in Egypt. Read the overview for this payment method before proceeding.

post

https://api.flutterwave.com/v3/charges?type=fawry_pay

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

amount string required
This is the amount to be charged for the transaction.

email string required
The customer's email address.

tx_ref string
This is a unique reference peculiar to the transaction being carried out.

currency string required
This is the specified currency to charge in. Expected value EGP

phone_number string required
This is the customer's phone number

fullname string
The customer's full name.

client_ip string
This represents the current IP address of the customer carrying out the transaction.

device_fingerprint string
This is the fingerprint for the device being used. It can be generated using a library on whatever platform is being used.

redirect_url string
The redirect for customers after completing their payment.

meta object

FILL IN ALL REQUIRED FIELDS

flightID string
This could be the extra information you want to pass

sideNote string
This could be any message you'd like to associate with this call

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

id integer

tx_ref string

order_ref string

flw_ref string

device_fingerprint string

amount integer

charged_amount integer

app_fee number

merchant_fee integer

processor_response string

currency string

narration string

status string

auth_url string

payment_type string

fraud_status string

charge_type string

created_at string

account_id integer

customer object

FILL IN ALL REQUIRED FIELDS

id integer

phone_number string

name string

email string

created_at string

meta object

FILL IN ALL REQUIRED FIELDS

authorization object

FILL IN ALL REQUIRED FIELDS

mode string

instruction string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys